#include <bits/stdc++.h>

using namespace std;

int main()
{
    short int p,q,r;
    long long int L,R,b,i;
    b=0;
    scanf("%hi %hi %hi %lli %lli",&p,&q,&r,&L,&R);
    for(i=L;i<=R;i++)
    {
        if(ceil(i/p)+ceil(i/q)+ceil(i/r)<=i)
        {
            b++;
        }
    }
    printf("%lli",b);
    return 0;
}